ru.bitel.bgbilling.modules.inet.access.sa

## Class ServiceActivatorEvent

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.access.sa.ServiceActivatorEvent

-     public class ServiceActivatorEvent
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceActivatorEvent(ru.bitel.bgbilling.modules.inet.access.Access inetAccess, Event event, int processDeviceId, ru.bitel.bgbilling.modules.inet.runtime.InetServRuntime servRuntime, int eventType, int inetServId, InetServType inetServType, InetServ oldInetServ, InetServ newInetServ, short oldState, short newState, java.util.Set<java.lang.Integer> oldOptionSet, java.util.Set<java.lang.Integer> newOptionSet, int accessCode)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consume()`
    `void` | `doAsync()`
    `int` | `getAccessCode()`
    `InetConnection` | `getConnection()` Соединение (если вызван метод connectionModify)
    `static java.util.List<InetServ>` | `getInetServChildren(ru.bitel.bgbilling.modules.inet.runtime.InetServRuntimeMap inetServRuntimeMap, int inetServId, long millis)`
    `int` | `getInetServId()` Код сервиса
    `ru.bitel.bgbilling.modules.inet.runtime.InetServRuntime` | `getInetServRuntime()`
    `InetServ` | `getNewInetServ()` Новый типа сервиса (каким он стал после изменения)
    `java.util.Set<java.lang.Integer>` | `getNewOptions()`
    `java.util.Set<java.lang.Integer>` | `getNewOptionSet()` Deprecated.
    `int` | `getNewState()` Новое состояние типа сервиса (вкл/выкл)
    `InetServ` | `getOldInetServ()` Старый типа сервиса (каким он был до изменения)
    `java.util.Set<java.lang.Integer>` | `getOldOptions()`
    `java.util.Set<java.lang.Integer>` | `getOldOptionSet()` Deprecated.
    `int` | `getOldState()` Старое состояние типа сервиса (вкл/выкл)
    `java.util.Set<java.lang.Integer>` | `getOptionsToAdd()`
    `java.util.Set<java.lang.Integer>` | `getOptionsToRemove()`
    `java.lang.String` | `getRealm()`
    `java.util.List<InetConnection>` | `getServiceConnections()`
    `boolean` | `isAsync()`
    `boolean` | `isConnectionOptionsModified()`
    `boolean` | `isConnectionStateModified()` Флаг указывает, что состояние соединения изменилось в connectionModify и не нужно ждать, например, UPDATE-пакета, чтобы это узнать.
    `boolean` | `isOptionsModified()`
    `void` | `setConnectionOptionsModified(boolean connectionOptionsModified)`
    `void` | `setConnectionRuntime(ru.bitel.bgbilling.modules.inet.access.InetConnectionRuntime connectionRuntime)`
    `void` | `setConnectionStateModified(boolean connectionStateModified)` Флаг указывает, что состояние соединения изменилось в connectionModify и не нужно ждать, например, UPDATE-пакета, чтобы это узнать.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceActivatorEvent

          public ServiceActivatorEvent(ru.bitel.bgbilling.modules.inet.access.Access inetAccess,
                                       Event event,
                                       int processDeviceId,
                                       ru.bitel.bgbilling.modules.inet.runtime.InetServRuntime servRuntime,
                                       int eventType,
                                       int inetServId,
                                       InetServType inetServType,
                                       InetServ oldInetServ,
                                       InetServ newInetServ,
                                       short oldState,
                                       short newState,
                                       java.util.Set<java.lang.Integer> oldOptionSet,
                                       java.util.Set<java.lang.Integer> newOptionSet,
                                       int accessCode)

      Parameters:
        `event` -
        `deviceId` - Код устройства, если событие необходимо выполнить только на одном из всей цепочки устройств (например, при перезагрузке оного). Иначе = 0.
        `servRuntime` -
        `eventType` -
        `inetServId` -
        `inetServType` -
        `oldInetServ` -
        `newInetServ` -
        `oldState` -
        `newState` -
        `oldOptionSet` -
        `newOptionSet` -
        `accessCode` -

  - ### Method Detail

    - #### consume

          public void consume()

    - #### doAsync

          public void doAsync()

    - #### isAsync

          public boolean isAsync()

    - #### getInetServId

          public int getInetServId()

      Код сервиса
      Returns:

    - #### getInetServRuntime

          public ru.bitel.bgbilling.modules.inet.runtime.InetServRuntime getInetServRuntime()

    - #### getOldInetServ

          public InetServ getOldInetServ()

      Старый типа сервиса (каким он был до изменения)

    - #### getNewInetServ

          public InetServ getNewInetServ()

      Новый типа сервиса (каким он стал после изменения)

    - #### getAccessCode

          public int getAccessCode()

    - #### getOldState

          public int getOldState()

      Старое состояние типа сервиса (вкл/выкл)

    - #### getNewState

          public int getNewState()

      Новое состояние типа сервиса (вкл/выкл)
      Returns:

    - #### isOptionsModified

          public boolean isOptionsModified()

    - #### getOptionsToAdd

          public java.util.Set<java.lang.Integer> getOptionsToAdd()

    - #### getOptionsToRemove

          public java.util.Set<java.lang.Integer> getOptionsToRemove()

    - #### getConnection

          public InetConnection getConnection()

      Соединение (если вызван метод connectionModify)
      Returns:

    - #### setConnectionRuntime

          public void setConnectionRuntime(ru.bitel.bgbilling.modules.inet.access.InetConnectionRuntime connectionRuntime)

    - #### getServiceConnections

          public java.util.List<InetConnection> getServiceConnections()

    - #### getOldOptionSet

          @Deprecated
          public java.util.Set<java.lang.Integer> getOldOptionSet()

      Deprecated.

    - #### getNewOptionSet

          @Deprecated
          public java.util.Set<java.lang.Integer> getNewOptionSet()

      Deprecated.

    - #### getOldOptions

          public java.util.Set<java.lang.Integer> getOldOptions()

    - #### getNewOptions

          public java.util.Set<java.lang.Integer> getNewOptions()

    - #### isConnectionStateModified

          public boolean isConnectionStateModified()

      Флаг указывает, что состояние соединения изменилось в connectionModify и не нужно ждать, например, UPDATE-пакета, чтобы это узнать. Или по UPDATE-пакету или по чему-нибудь еще невозможно узнать состояние.
      Returns:

    - #### setConnectionStateModified

          public void setConnectionStateModified(boolean connectionStateModified)

      Флаг указывает, что состояние соединения изменилось в connectionModify и не нужно ждать, например, UPDATE-пакета, чтобы это узнать. Или по UPDATE-пакету или по чему-нибудь еще невозможно узнать состояние.
      Parameters:
        `connectionStateModified` -

    - #### isConnectionOptionsModified

          public boolean isConnectionOptionsModified()

    - #### setConnectionOptionsModified

          public void setConnectionOptionsModified(boolean connectionOptionsModified)

    - #### getRealm

          public java.lang.String getRealm()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getInetServChildren

          public static java.util.List<InetServ> getInetServChildren(ru.bitel.bgbilling.modules.inet.runtime.InetServRuntimeMap inetServRuntimeMap,
                                                                     int inetServId,
                                                                     long millis)